[Debian-eeepc-devel] [SCM] Maintenance of eeepc-acpi-scripts debian package branch, master, updated. a7db13b1babbd73c78e8112502eeb3ce5fc16852

Damyan Ivanov dmn at debian.org
Sat Aug 16 11:34:55 UTC 2008


The following commit has been merged in the master branch:
commit a7db13b1babbd73c78e8112502eeb3ce5fc16852
Author: Damyan Ivanov <dmn at debian.org>
Date:   Sat Aug 16 14:34:09 2008 +0300

    Revert detection of wlan interface and module during postinst
    
    The card may not be visible in lspci at that time, for example
    if disabled in the BIOS
    
    This reverts commit 35f850ed4c8de7a4d3819ecd1aade0e889d54e40.
    and 0c2370c3b6cacd26ecf90bdf4b1d98f3d1467e4e

diff --git a/actions/wireless.sh b/actions/wireless.sh
index 4673228..9a094cc 100755
--- a/actions/wireless.sh
+++ b/actions/wireless.sh
@@ -1,13 +1,5 @@
 #!/bin/sh
 
-WLAN_IF=ath0
-WLAN_MOD=ath_pci
-
-DEFAULT=/etc/default/eee-acpi-scripts
-if [ -r $DEFAULT ]; then
-    . $DEFAULT
-fi
-
 wlan_control=/sys/devices/platform/eeepc/wlan
 [ -e $wlan_control ] || wlan_control=/proc/acpi/asus/wlan # pre-2.6.26
 
@@ -17,17 +9,17 @@ case $1 in
 	    modprobe -r pciehp
 	    modprobe pciehp pciehp_force=1
 	    echo 1 > $wlan_control
-	    modprobe $WLAN_MOD
+	    modprobe ath_pci
 	    # adding a sleep here, due to some bug the driver loading is not atomic here
 	    # and could cause ifconfig to fail
 	    sleep 1
-	    if ! ifconfig $WLAN_IF up; then exec $0 off; fi
+	    if ! ifconfig ath0 up; then exec $0 off; fi
 	fi
 	;;
     off|disable)
 	if [ $(cat $wlan_control) = 1 ]; then
-	    ifdown --force $WLAN_IF
-	    modprobe -r $WLAN_MOD
+	    ifdown --force ath0
+	    modprobe -r ath_pci
 	    echo 0 > $wlan_control
 	fi
 	;;
diff --git a/debian/postinst b/debian/postinst
index dd3bf03..bc8bff2 100644
--- a/debian/postinst
+++ b/debian/postinst
@@ -2,30 +2,8 @@
 
 set -e
 
-DEFAULT=/etc/default/eeepc-acpi-scripts
-
-add_wlan_vars_to_default()
-{
-    if ! egrep -q '^WLAN_(IF|MOD)' $DEFAULT; then
-        if lspci|grep Network|grep Atheros|grep -q wireless; then
-            WLAN_IF=ath0
-            WLAN_MOD=ath_pci
-        elif lspci|grep Network|grep -q RaLink; then
-            WLAN_IF=ra0
-            WLAN_MOD=rt2860sta
-        fi
-        cat <<EOF >>$DEFAULT
-
-# Model-specific wireless interface and module
-WLAN_IF=$WLAN_IF
-WLAN_MOD=$WLAN_MOD
-EOF
-    fi
-}
-
 case "$1" in
     configure)
-        add_wlan_vars_to_default
         invoke-rc.d acpid restart>/dev/null
     ;;
 

-- 
Maintenance of eeepc-acpi-scripts debian package



More information about the Debian-eeepc-devel mailing list